MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024846Open CASCADE[OCCT] OCCT:Codingpublic2014-04-16 17:262014-05-05 13:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024846: CLang warnings -Wunneeded-internal-declaration
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wunneeded-internal-declaration which in most cases indicate wrong code:
BRepCheck_Shell.cxx:45:13: warning: function 'PropagateRecurs' is not needed and will not be emitted [-Wunneeded-internal-declaration]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028890)
ski (developer)
2014-04-16 17:35

Unused function was removed.
Changes are located in branch CR24846.
Please, review.
(0028893)
abv (manager)
2014-04-16 17:49

No remarks, please test
(0028967)
mkv (tester)
2014-04-18 15:16

Dear BugMaster,

Branch CR24846 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7c638cd173e16cf7ae2e6f5ff9910463f76cdfa6

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 412 (413 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 352602468 / 352616108
Total CPU difference: 64664.69999999988 / 67341.82000000024

Testing on Windows:
Total MEMORY difference: 381242284 / 380703700
Total CPU difference: 36288.84375 / 39760.09375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 5c08e198
Timestamp: 2014-04-16 13:34:07
Author: abv
Committer: abv
Details ] Diff ]
0024846: CLang warnings -Wunneeded-internal-declaration

Unused function was removed.
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-16 17:26 ski New Issue
2014-04-16 17:26 ski Assigned To => ski
2014-04-16 17:26 ski Status new => assigned
2014-04-16 17:35 ski Note Added: 0028890
2014-04-16 17:35 ski Assigned To ski => abv
2014-04-16 17:35 ski Status assigned => resolved
2014-04-16 17:49 abv Note Added: 0028893
2014-04-16 17:49 abv Assigned To abv => bugmaster
2014-04-16 17:49 abv Status resolved => reviewed
2014-04-16 19:22 mkv Assigned To bugmaster => mkv
2014-04-17 16:40 abv Target Version => 6.7.1
2014-04-18 15:16 mkv Note Added: 0028967
2014-04-18 16:36 mkv Test case number => Not needed
2014-04-18 16:36 mkv Assigned To mkv => bugmaster
2014-04-18 16:36 mkv Status reviewed => tested
2014-04-28 10:27 abv Changeset attached => occt master 5c08e198
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker